/*
 * generated by Xtext 2.25.0
 */
package tdt4250.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import tdt4250.XjavaRuntimeModule;
import tdt4250.XjavaStandaloneSetup;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class XjavaIdeSetup extends XjavaStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new XjavaRuntimeModule(), new XjavaIdeModule()));
	}
	
}
